/***************************************************************************
 *   Copyright (C) 2004 by Mauricio Oliveira Carneiro (PROCC - FIOCRUZ)    *
 *   carneiro@fiocruz.br                                                   *
 *   http://www.procc.fiocruz.br/                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef __EVOLMODEL_H
#define __EVOLMODEL_H
 
typedef double EvolutionaryModel[4][4];

enum {
    A,
    C,
    G,
    T
};
 
void evolutionarymodel_init_JC(EvolutionaryModel *model);
void evolutionarymodel_init_K2P(EvolutionaryModel *model, double transition, double transversion);
void evolutionarymodel_init_REV(EvolutionaryModel *model, double AC, double AG, double AT, double CG, double CT, double GT);
char apply_model(EvolutionaryModel model, char from, int to);

#endif
